cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/checkups/submissions" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/checkups/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/checkups/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true,
"submissions": [
{
"submissionId": "<string>",
"formId": "<string>",
"formName": "<string>",
"formType": "<string>",
"settingId": "<string>",
"submittedFor": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"isReviewed": true,
"answers": [
{
"question": "<string>",
"answerType": "<string>",
"answer": "<string>",
"answeredAt": "2023-11-07T05:31:56Z"
}
],
"feedbacks": [
{
"feedback": "<string>",
"givenAt": "2023-11-07T05:31:56Z"
}
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Forms (check-up & intake)
List checkup submissions
Requires checkups:read. Media answers are redacted; date ranges are capped at 366 days.
GET
/
public
/
v1
/
clients
/
{clientId}
/
checkups
/
submissions
cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/checkups/submissions" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/checkups/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/checkups/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPrevPage": true,
"submissions": [
{
"submissionId": "<string>",
"formId": "<string>",
"formName": "<string>",
"formType": "<string>",
"settingId": "<string>",
"submittedFor": "2023-11-07T05:31:56Z",
"submittedAt": "2023-11-07T05:31:56Z",
"isReviewed": true,
"answers": [
{
"question": "<string>",
"answerType": "<string>",
"answer": "<string>",
"answeredAt": "2023-11-07T05:31:56Z"
}
],
"feedbacks": [
{
"feedback": "<string>",
"givenAt": "2023-11-07T05:31:56Z"
}
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I